Bug 222519 - security/py-cryptography: Update to 2.0.3 and etc
Summary: security/py-cryptography: Update to 2.0.3 and etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks: 222520 222536
  Show dependency treegraph
 
Reported: 2017-09-22 20:27 UTC by Yasuhiro Kimura
Modified: 2017-09-25 09:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
patch file (2.80 KB, patch)
2017-09-22 20:27 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2017-09-22 20:27:22 UTC
Created attachment 186621 [details]
patch file

* Update to 2.0.3.
* Update some dependencies.
* Fix license information.
Comment 1 Kamigishi Rei 2017-09-23 16:31:48 UTC
Additional note: versions below 1.9 break security/certbot at run-time. See bug #222536.
Comment 2 commit-hook freebsd_committer 2017-09-24 05:00:51 UTC
A commit references this bug:

Author: koobs
Date: Sun Sep 24 05:00:21 UTC 2017
New revision: 450479
URL: https://svnweb.freebsd.org/changeset/ports/450479

Log:
  security/py-cryptography: Update to 2.0.3

  - Update LICENSE section, now Dual-licensed
  - Update dependencies and minimum versions
  - Enable concurrent Python feature
  - Remove upstreamed patch
  - Remove version support declaration from pkg-descr

  Changelog:

    https://cryptography.io/en/latest/changelog/#v2-0-3

  PR:		222519
  Submitted by:	Yasuhiro KIMURA <yasu utahime org>

Changes:
  head/security/py-cryptography/Makefile
  head/security/py-cryptography/distinfo
  head/security/py-cryptography/files/
  head/security/py-cryptography/pkg-descr
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-24 05:10:35 UTC
Committed, with QA and minor additions.

portlint: OK (looks fine.)
testport: OK (poudriere: {12,11,10}{i386,amd64}, Python 2.7/3.6)
maketest: OK (92746 passed, 3340 skipped in 280.54 seconds)

Thanks you Yasuhiro!